description

# DocumentOrShadowRoot class Null safety

Implementers
  - ShadowRoot
Annotations
  - @Native("DocumentOrShadowRoot")

## Properties

activeElement → Element?
  read-only
fullscreenElement → Element?
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
pointerLockElement → Element?
  read-only
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
styleSheets → List<StyleSheet>?
  @Creates('_StyleSheetList'), @Returns('_StyleSheetList'), read-only

## Methods

elementFromPoint(int x, int y) → Element?
elementsFromPoint(int x, int y) → List<Element>
getSelection() → Selection?
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited